#include <windows.h>

#include <local/primer.h>

HMENU ChangeUMall(HWND hWnd, LPSTR lpMenu) {
	HMENU hMenu;
	static HMENU hPrevMenu;
	static BOOL bRestore = FALSE;
	extern HANDLE hInst;

	// This routine is called as a result of two menu commands,
	// namely IDM_CHANGEUMALL to change all menus to alternative
	// set; and IDM_RESTOREUMALL to restore original menus.

	if (lpMenu == NULL && bRestore) {
	    SetMenu(hWnd, hPrevMenu);
	    bRestore = TRUE;
	}

	hPrevMenu = GetMenu(hWnd);

	if (!(hMenu = LoadMenu(hInst, lpMenu))) {
	    return(NULL);
	}

	SetMenu(hWnd, hMenu);
	DrawMenuBar(hWnd);

	bRestore = TRUE;
	return(hMenu);
}
