/* main.h
 * tab_size: 4
 */
#define WIDTHBYTES(i)	((i+31)/32*4)

/* As described in the GIF spec... */
typedef struct screen_desc_tag {
	unsigned int width, height;
	unsigned char flags;
	unsigned char background;
	unsigned char zero_terminator;
} screen_desc;

typedef struct image_desc_tag {
	unsigned char image_separator;
	unsigned int left, top, width, height;
	unsigned char flags;
} image_desc;

typedef struct color_tag {
	unsigned char red, green, blue;
} color;

typedef struct screen_header_tag {
	unsigned int left, top;
	unsigned int height, width;
	color palette[4];
} screen_header;

typedef struct RGBERRORTag {
	int rgbeRed, rgbeGreen, rgbeBlue;
} RGBERROR;

typedef enum dithering_type_tag {
	none,
	ordered,
	floyd_steinberg
} dithering_type;

BOOL InitApplication(HANDLE);
BOOL InitInstance(HANDLE, int);
LONG FAR PASCAL _export gif_wnd(HWND, unsigned, WORD, LONG);
int PASCAL _export WinMain(HANDLE, HANDLE, LPSTR, int);

int getw(FILE *);
